"You have new messages" stuck (until page reload) after all messages are 'Mark as read'
Closed, ResolvedPublic

Description

On https://www.mediawiki.org/wiki/Talk:Flow_QA - when there are new unread messages present, an additional messages is displayed: "You have new messages"

When 'Mark as read' is clicked and the counter goes to 0, the message does not disappear - even after refreshing the page (the struck-through part should be fixed with f9c580891272b1fb27df0f303c123989ae48aa97).

Another sample was on http://test.wikimedia.beta.wmflabs.org/wiki/Talk:ET37. "You have new messages" did not go away after 'Mark as read' and it is still displayed after

  • refreshing the page
  • navigating to a different page

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 2:58 PM
Catrope triaged this task as Normal priority.Jul 22 2015, 11:36 PM
Catrope added a project: Notifications.
Catrope set Security to None.
Catrope moved this task from Untriaged to Product/Design Work on the Collaboration-Team-Triage board.
Catrope added a subscriber: Pginer-WMF.

The "You have new messages" indicator should go away if you mark all as read. Marking as read should have the same effect as if the user went clicking on every unread message.

Etonkovidova updated the task description. (Show Details)Aug 3 2015, 7:58 PM
Etonkovidova updated the task description. (Show Details)

@Pigner-WMF
Even without the bug - seeing "You have new messages"(referring to the red counter) and 'New messages(none)' might be confusing

This is indeed confusing (very confusing with the third type, LQT), and we should work on it (maybe as part of the notification redesign we talked about, but I don't know if that's still on the roadmap):

  • The 'Messages' tab of the Echo flyout refers solely to Flow messages.
  • The "You have new messages" is the modern version of the Orange Bar of Death. It refers just to user talk messages left on your user talk page (I believe it has to be an old-style user talk page, not Flow for this to show). There is a corresponding alert in the Alerts tab:

Finally, "New messages (none)" is from LQT, and we're getting rid of it now on wikis that have converted from LQT to Flow (T107898: Disable LQT Special:NewMessages on wikis with frozen LQT).

Aklapper renamed this task from "You have new messages" stuck after all messages are 'Mark as read' to "You have new messages" stuck after all messages are 'Mark as read'.Aug 6 2015, 9:00 AM

Thanks for the clarifications @Mattflaschen

I think that it is not ideal to present the user with message-related notifications in very different ways just because they are generated by different discussion technologies. Maybe the work on surfacing message-related notifications more clearly (T108190) can help to unify them and make the orange bar unnecessary.

Thanks for the clarifications @Mattflaschen

I think that it is not ideal to present the user with message-related notifications in very different ways just because they are generated by different discussion technologies. Maybe the work on surfacing message-related notifications more clearly (T108190) can help to unify them and make the orange bar unnecessary.

Agreed, currently it's quite confusing, and worth re-designing. I just wanted to make people aware of the current details.

(Note, the orange bar may be a sensitive topic, and we should loop in @Quiddity).

Users very much appreciate the extra-loud notice (orange bar) for new messages on their own usertalkpages. Please do not change that, without community consultation. It was the only thing that was ill-recieved in Echo's initial deployment, and took a lot of work to get to an acceptable (the current) state.

Users very much appreciate the extra-loud notice (orange bar) for new messages on their own usertalkpages. Please do not change that, without community consultation. It was the only thing that was ill-recieved in Echo's initial deployment, and took a lot of work to get to an acceptable (the current) state.

Sure. My thinking is that:

  • If we are solving an issue that overlaps with the issues that another piece is also solving, I think it is our responsibility to present how we thing the problem could be solved and the possible adjustments in the different parts of the system if any. Even if any change to the orange bar is not going to happen in the short term, I think that understanding its purpose is extremely useful (e.g., knowing that it represents a subset of the alerts may help us to decide to put the alerts badge close to the existing bar if we split it from regular messages)
  • Notifications are regularly used for completing work in many different ways, I think w need to test and discuss any change to identify issues in different workflows. Especially when talking a bout a piece that solves a problem that was not obvious to solve when we did in the past as it seems to be the case of the orange bar.

The requested solution for the original bug here, conflicts with the request in T110048: Encourage users who are currently ignoring their talk pages to read them.
The latter requests that we make it impossible to "ignore/dismiss" a usertalkpage message without even looking at it.

The latter requests that we make it impossible to "ignore/dismiss" a usertalkpage message without even looking at it.

I don't object to encouraging people (though I'm not sure the best way to do this). I disagree with the 'make it impossible' idea, and my patch for T108760: Move "left a message on your talk page" Echo notification from Alerts to Messages specifically allows you to clear the orange bar by clicking the Echo x. For one thing, you may have already seen the talk page message by email, or logged out, etc.

I agree with Pau there that we can't really force the user to read something.

If we did require visiting your (non-Flow) user talk page to clear that indicator, would we do the same for Flow (that's not consistent with what we do on normal Flow messages)?

Mattflaschen-WMF renamed this task from "You have new messages" stuck after all messages are 'Mark as read' to "You have new messages" stuck until page reload after all messages are 'Mark as read'.
DannyH renamed this task from "You have new messages" stuck until page reload after all messages are 'Mark as read' to "You have new messages" stuck after all messages are 'Mark as read'.Sep 16 2015, 11:33 PM
Mattflaschen-WMF renamed this task from "You have new messages" stuck after all messages are 'Mark as read' to "You have new messages" stuck (until page reload) after all messages are 'Mark as read'.Sep 16 2015, 11:33 PM

It should now work after page reload (worth QA-ing), and @Mooeypoo is going to work on having it do so immediately.

Mooeypoo claimed this task.Sep 17 2015, 5:33 PM
DannyH raised the priority of this task from Normal to High.Sep 17 2015, 5:48 PM
DannyH added a subscriber: DannyH.

Change 239277 had a related patch set uploaded (by Mooeypoo):
Remove talk page notification bar if all messages are read

https://gerrit.wikimedia.org/r/239277

Change 239277 merged by jenkins-bot:
Remove talk page notification bar if all messages are read

https://gerrit.wikimedia.org/r/239277

Checked on test.wikimedia.beta.wmflabs.org

DannyH closed this task as Resolved.Sep 22 2015, 6:32 PM